. "$PSScriptRoot\ELHealthCheck.ps1"
Export-ModuleMember -function "Invoke-ELHC"

#Listing of components for use with module
$PrivateComponentList = @(
    'Get-DBVersion.ps1',
    'Get-QueryResult.ps1',
    'Get-ShareSizes.ps1',
    'New-ELHC.ps1',
    'Push-OMSData.ps1',
    'Set-ELHCConfig.ps1'
)

$PublicComponentList = @(
    'Get-BITSStatus.ps1',
    'Get-EnvironmentInfo.ps1',
    'Get-EventStatus.ps1',
    'Get-IISStatus.ps1',
    'Get-ImportInfo.ps1',
    'Get-Performance.ps1',
    'Get-PurgeInfo.ps1',
    'Get-StorageInfo.ps1',
    'Get-JobQueueInfo.ps1',
    'Test-ACLPermissions.ps1',
    'Test-SharePermissions.ps1',
    'Test-SharePermissionsLegacy.ps1',
    'Test-StorageSpeed.ps1'
)

foreach ($Component in $PublicComponentList) {
    . "$PSScriptRoot\Public\$Component"
    Export-ModuleMember -function $Component.Replace('.ps1','')
}

foreach ($Component in $PrivateComponentList) {
    . "$PSScriptRoot\Private\$Component"
    Export-ModuleMember -function $Component.Replace('.ps1','')
}