﻿function Get-DBVersion
{
    $DBversion = (`
        "SELECT 
        Convert(VARCHAR(255),([Version] / Power(2,24) & 0xff))
        + '.' + Convert(VARCHAR(255),([Version] / Power(2,16) & 0xff))
        + '.' + Convert(VARCHAR(255),([Version] / Power(2,12) & 0xf))
        + '.' +  Convert(VARCHAR(255),([Version] & 0xfff)) as 'Version'
        from [WGEvidenceLibrary].[dbo].[Version]"
    )
    
    $version = (Get-QueryResult -query $DBversion ).Version
    if ($version -is [array]) { 
        $version = $version[$version.Length - 1] 
    }
    
    Return $version
}