﻿function Get-QueryResult
{
    [cmdletbinding()]
    param
    (
        [Parameter(Mandatory=$true, Position=0)]
        [ValidateNotNullorEmpty()]
        [string]$query,

        [Parameter(Mandatory=$false, Position=1)]
        [ValidateNotNullorEmpty()]
        [string]$connectionString = "data source=(local);initial catalog=WGEvidenceLibrary;integrated security=true;connection lifetime=30;"
    )

    $connection = new-object system.data.SqlClient.SQLConnection($connectionString)
                                                            
    $command = new-object system.data.sqlclient.sqlcommand($query, $connection)
    $connection.Open()

    $adapter = New-Object System.Data.sqlclient.sqlDataAdapter $command
    $Events = New-Object System.Data.DataSet
    
    $adapter.Fill($Events) | Out-Null
    $connection.Close()

    return $Events.Tables[0]
        
}