﻿function Get-ShareSizes
{
    param
    ( 
        [Parameter(Mandatory=$false)]
        [string]$name
    )
    $GBConversion = [math]::Pow(1024,3)
    $Shares = Get-WMIObject Win32_Share | where {$_.Name -eq $name}
    $Volumes = Get-WMIObject Win32_Volume
    Foreach ($Share in $Shares) 
    { 
        If ($Share.Type -eq 0)
        { 
            $Result = "" | Select Server, Share, Path, Used, Free, Total, Percent
            $Result.Server=$Share.__SERVER
            $Result.Share=$Share.Name
            $Result.Path=$Share.Path
            $ShareVolume="" | Select Name 
            Foreach ($Volume in $Volumes) 
            { 
                If ( ($Result.Path.Length -ge $Volume.Name.Length) -and ($Volume.Name.Length -gt $ShareVolume.Name.Length) )
                { 
                    If ($Result.Path.Substring(0,$Volume.Name.Length) -eq $Volume.Name) { $ShareVolume = $Volume } 
                } 
            }
            #$Result.Volume=$ShareVolume.Name; 
            $Result.Total=[math]::Round($ShareVolume.Capacity / $GBConversion, 2)
            $Result.Free=[math]::Round($ShareVolume.FreeSpace / $GBConversion, 2)
            $Result.Used=[math]::Round(($ShareVolume.Capacity - $ShareVolume.FreeSpace) / $GBConversion, 2)
            $Percent = [math]::Round($(($Result.Used / $Result.Total)*100),1)
            $Result.Percent="$Percent%"
            return $Result
        } 
    }
}